/* Notes :
- Any 'em' values I will start to include their original based 'px' values alongside as a comment in case I need it
*/


@font-face {
    font-family: 'DM Sans';
    src: url(fonts/DM_Sans/DMSans-Regular.ttf);
}

@font-face {
    font-family: 'Tajawal';
    src: url(fonts/Tajawal/Tajawal-Regular.ttf);
}

@font-face {
  font-family: 'FunGroovy';
  src: url(fonts/Fun_groovy/FunGroovy.ttf);
}

/* Site colours */
:root {
  --global-site-colour-1: #ffd936;
  --global-site-colour-2: #536942;
  --global-site-colour-3: #eeeeee;
  --global-site-colour-4: rgba(82,104,64,0.75);
  --global-site-colour-5: #020024; /* Looks great as a background to GC1) */
}

::selection {
    background-color: var(--global-site-colour-1);
    color: #000000;
}

/*###############################################*/
/*################   Animations   ###############*/
/*###############################################*/

.icon-animation-grow:hover, .icon-animation-grow:focus, .icon-animation-grow:active {
  transform: scale(1.1);
  transition-duration: .3s;
  transition-property: transform;

}

@keyframes icon-animation-bob {
  0% {
    transform: translateY(-8px)
  }

  50% {
    transform: translateY(-4px)
  }

  100% {
    transform: translateY(-8px)
  }
}

@keyframes icon-animation-bob-float {
  100% {
    transform: translateY(-8px)
  }
}

.icon-animation-bob:active, .icon-animation-bob:focus, .icon-animation-bob:hover {
  animation-name: icon-animation-bob-float, icon-animation-bob;
  animation-duration: .3s, 1.5s;
  animation-delay: 0s, .3s;
  animation-timing-function: ease-out, ease-in-out;
  animation-iteration-count: 1, infinite;
  animation-fill-mode: forwards;
  animation-direction: normal, alternate
}

/*###############################################*/
/*###########   Elements and Globals  ###########*/
/*###############################################*/

button::-moz-focus-inner, input::-moz-focus-inner {
  /*! border: 0; */
  /*! padding: 0; */
}

button, html input[type="button"], input[type="reset"], input[type="submit"] {
  -webkit-appearance: button;
  cursor: pointer;
}

* {
  box-sizing: border-box;
}

html, body {
  height: 100%;
  margin: 0;
}

body {
  color: #333;
  font-family: 'DM Sans',sans-serif;
  font-style: normal;
  line-height: 1.7;
  /* color: var(--global-site-colour-4); */
  display: flex;
  flex-direction: column;
}

main {
  flex: 1 0 auto;
}

footer {
  width: 100%;
}

img {
  vertical-align: middle;
  height: auto;
  max-width: 100%;
  border: 0;
    border-top-color: currentcolor;
    border-top-style: none;
    border-top-width: 0px;
    border-right-color: currentcolor;
    border-right-style: none;
    border-right-width: 0px;
    border-bottom-color: currentcolor;
    border-bottom-style: none;
    border-bottom-width: 0px;
    border-left-color: currentcolor;
    border-left-style: none;
    border-left-width: 0px;
    border-image-outset: 0;
    border-image-repeat: stretch;
    border-image-slice: 100%;
    border-image-source: none;
    border-image-width: 1;
}

img.alignnone {
  display: inline-block;
}

address, blockquote, body, dd, dl, dt, fieldset, figure, h1, h2, h3, h4, h5, h6, hr, html, iframe, legend, li, ol, p, pre, textarea, ul {
  border: 0;
  font-size: 100%;
  font-style: inherit;
  font-weight: inherit;
  margin: 0;
    margin-bottom: 0px;
  outline: 0;
  padding: 0;
  vertical-align: baseline;
}

h2 {
  font-size: 2em;
  color: white;
  text-align: center;
}

h3 {
  font-size: 1.8em;
  text-align: center;
}

h4 {
  font-size: 1.5em;
  padding: 0.5em 0;
  color: white;
}

body, button, input, select, textarea {
  font-family: 'DM Sans',sans-serif;
  font-weight: 400;
  font-size: 16px;
  font-size: 1rem;
  line-height: 1.7;
}

.global-inline-flex {
  display: inline-flex;
  align-items: center;
  flex-wrap: wrap;
  align-content: center;
}

.global-flex {
  display: flex;
  flex-wrap: wrap;
}

.global-grid-row {
  display: grid;
  align-items: center;
  max-width: 1200px;
  margin-left: auto;
  margin-right: auto;
  grid-template-columns: auto auto;
  grid-column-gap: 20px;
  overflow-wrap: anywhere;
}

.global-layout-element {
  align-items: center;
}

.global-content-spacer {
  width: 100%;
  margin-top: 20px;
}

.global-content-spacer-medium {
  width: 100%;
  margin-top: 40px;
}

.global-content-spacer-large {
  width: 100%;
  margin-top: 80px;
}

.global-content-section {
  margin-bottom: 1em;
}

.global-divider {
  width: 100%;
  display: grid;
  grid-template-columns: auto 2.5em auto;
  padding-top: 20px;
  padding-bottom: 20px;
}

.global-divider-nobreak {
  width: 100%;
  display: grid;
  grid-template-columns: auto;
  padding-top: 20px;
  padding-bottom: 20px;
}

.global-divider .line, .global-divider-nobreak .line {
  height: 0;
  align-self: center;
  border-style: solid;
  color: #A71F1FBF;
  border-width: 1px;
}

.global-divider .line-icon {
  display: flex;
  width: 100%;
  fill: rgb(129, 138, 145);
  justify-content: center;
}

.line-icon svg {
  width: 1.2em;
  height: auto;
  overflow: visible;
}

.TSLT-page-heading-container {
  width: 100%;
  text-align: center;
  margin: 0px;
  margin-bottom: 1.4em; /* 20px */
  padding: 0px 0px 5px 0px;
}

.page-heading {
  color: #FFFFFF;
  font-family: "Tajawal", Sans-serif;
  font-size: 4.5em;
  font-weight: normal;
  letter-spacing: 0px;
  line-height: 1.2;
  -webkit-text-stroke-color: #000;
  stroke: #000;
  text-shadow: 0px 0px 20px #000000;
}

.page-sub-heading-container {
  width: 100%;
  text-align: center;
  margin: 0px;
  margin-bottom: 20px;
}

.page-sub-heading {
  text-align: center;
  color: #FFE5E5;
  text-shadow: 0px 0px 23px #000000;
}

.background-overlay {
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  position: absolute;
  background-color: #000000;
  opacity: 0.2;
}

.background-overlay-darker {
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  position: absolute;
  background-color: #000000;
  opacity: 0.59;
}

/*###############################################*/
/*##################   Header  ##################*/
/*###############################################*/

header {
  position: absolute;
  left: 0;
  right: 0;
  z-index: 99; /* With background overlays being absolute the order needs implementing */
}

.page-heading-container {
  text-align: center;
}

.site-header-section {
  height: 100%;
  min-height: 0;
  align-items: center;
}

.header-grid-box {
  display: grid;
  grid-template-columns: auto auto;
  align-items: center;
  grid-column-gap: 20px;
  padding: 1.2em 1.3em;
  /* background-color: rgba(2,0,35,1) */
  background: linear-gradient(var(--global-site-colour-5), rgba(2,0,36,0));
}

.header-flex-left {
  display: flex;
}

.header-flex-right {
  display: flex;
  justify-content: flex-end;
}

.site-identity-section {
  display: flex;
  align-items: center;
}

.cheekyboy-logo img {
  max-width: 50px;
}

.site-title a {
  padding: 0 0.5em;
  font-size: 1.1em;
  text-decoration: none;
  color: var(--global-site-colour-1);
}

.site-navigation-mobile {
  display: none;
  font-size: 1.5em;
}

.custom-logo:hover {
  transform: scale(1.1);
  transition-duration: .3s;
}

#site-navigation-desktop-menu {
  display: flex;
  align-items: center;
}

#site-navigation-desktop-menu ul {
  display: flex;
  list-style: none;
  margin: 0;
  padding-left: 0;
}

#site-navigation-desktop-menu ul li{
  display: flex;
  line-height: 4.4em;
  justify-content: center;
}

#site-navigation-desktop-menu ul li a{
  align-items: center;
  display: flex;
  padding: 0 1em;
  transition: all .2s linear;
  text-decoration: none;
  color: white;
}

#site-navigation-desktop-menu ul li a:hover {
  color: var(--global-site-colour-1);
  transition: color 0.2s linear;
}

.site-navigation-desktop {
  display: flex;
  align-items: center;
}

#site-navigation-mobile-menu {
   display: none;
   width: 100%;
   z-index: 10;
   -webkit-transform:translate3d(0,0,0);
}

#site-navigation-mobile-menu a {
  color: black;
  background-color: white;
  width: 100%;
  padding: 14px 16px;
  border: 0;
    border-top-color: currentcolor;
    border-top-style: none;
    border-right-color: currentcolor;
    border-right-style: none;
    border-bottom-color: currentcolor;
    border-bottom-style: none;
    border-bottom-width: 0px;
    border-left-color: currentcolor;
    border-left-style: none;
  border-bottom-color: var(--global-site-colour-3);
  border-bottom-width: 1px;
  border-style: solid;
  text-decoration: none;
  font-size: 17px;
  display: block;
}

#site-navigation-mobile-menu a.icon {
  background: black;
  display: block;
  position: absolute;
  right: 0;
  top: 0;
}

#site-navigation-mobile-menu a:hover {
  color: var(--global-site-colour-1);
  transition: color 0.2s;
}

.mobile-menu-toggle {
  font-size: inherit;
  border: none;
  border-radius: 100px;
  display: flex;
  align-items: center;
  padding: 0.5em;
  background: var(--global-site-colour-1);
  width: auto;
  height: auto;
}

.mobile-menu-toggle-icon {
  fill: #ffffff;
  display: inline-flex;
  flex-wrap: wrap;
  align-self: center;
}

.menu-svg {
  width: 22px;
  height: 22px;
}

#closed-menu-svg {
  display: block;
}

#opened-menu-svg {
  display: none;
}

/*###############################################*/
/*##################   Footer  ##################*/
/*###############################################*/

.footer-focus-item { /* Currently just makes any section with the tage fill the space it has. */
  width: 100%;
}

.footer-above-grid-columns {
  grid-template-columns: repeat( 2,1fr );
  grid-column-gap: 50px;
}

.footer-primary-grid-columns {
  grid-template-columns: 2fr 1fr 2fr;
  grid-column-gap: 50px;
}

.svg-icon {
  align-self: center;
}

.footer-above {
  display: grid;
  width: 100%;
  align-content: center;
  padding-top: 20px;
  padding-bottom: 20px;
  background-color: var(--global-site-colour-3);
  min-height: 60px;
}

.footer-primary {
  display: grid;
  padding-top: 15px;
  padding-bottom: 15px;
  background-image: none;
  margin-top: 0px;
  margin-bottom: 0px;
}

.footer-above .column {
  flex: 50%;
}

.footer-social-element-section {
  display: flex;
  margin-bottom: 0;
  font-size: 0; /* Removes whitespace from section as it has no text */
}

.footer-social-element-wrap {
  width: 100%;
}

.footer-social-element-inner-wrap {
  text-align: center;
}

.footer-social-element {
  margin-left: 20.5px;
  margin-right: 20.5px;
  margin-top: 5px;
  margin-bottom: 5px;
  color: #3a3a3a;
  line-height: 1;
  color: #3a3a3a;
  background: transparent;
  vertical-align: middle;
  transition: all 0.01s;
  justify-content: center;
  align-items: center;
}

.footer-social-element svg {
  width: 30px;
  height: 30px;
}

#TheSneakiestLittleTigerLogo {
  width: 30px;
  height: 30px;
}

.footer-email-subscribe-section {
  visibility: hidden;
}

.footer-email-subscribe-wrap {
  padding: 20px;
}
.footer-email-subscribe-wrap p {
  text-align: left;
  margin-bottom: 3px;
  color: var(--global-site-colour-4);
}

input {
  margin: 0;
  vertical-align: baseline;
}

input[type="submit"] {
  -webkit-appearance: button;
  cursor: pointer;
}

.esb-email {
  width: 100%;
  height: auto;
  box-sizing: border-box;
  padding: 10px;
  display: inline-block;
  border: 1px solid #ddd;
  background-color: #f4f4f4;
  color: #444;
  font-size: 14px;
  line-height: 20px;
  border-radius: 0px;
}

.esb-submit {
  width: 100%;
  box-sizing: border-box;
  display: inline-block;
  padding: 10px;
  border: 1px;
  border-color: #ddd;
  background-color: #444;
  background-image: none;
  text-shadow: none;
  color: #fff;
  font-size: 14px;
  line-height: 20px;
  border-radius: 0px;
  margin: 0;
  word-wrap: none;
}

.mailchimp-email {
  width: 70%;
  display: inline-block;
  max-width: 300px;
}

.mailchimp-submit {
  width: 29%;
  display: inline-block;
}

.cheekyboy-tag {
  text-align: center;
}

.cheekyboy-tag p:first-child {
  margin-top: 0;
}

.cheekyboy-tag p:last-child {
  margin-bottom: 0;
}

.copyright-text {
  color: var(--global-site-colour-2);
  margin: 0px 40px 0px 0px;
  width: 100%;
  text-align: right;
}

/*###############################################*/
/*################## Home page ##################*/
/*###############################################*/

.page-section, .page-container {
  position: relative;
}

.page-container {
  width: 100%;
}

.section-container {
  display: flex;
  justify-content: center;
}

.home-page-section-1 {
  background-image: url("media/Background - Port Adelaide at night.JPG");
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
}

.home-page-section-2 {
  background-image: url("media/Background - Cover-art tiles blurred.jpg");
  background-size: contain;
}

.home-page-section-3 {
  /* background-image: url("media/Stall background.jpg"), url("media/Car background.jpg"), url("media/Blue shirt background.jpg");
  background-position-x: left, center, right;
  background-position-y: top, center, bottom;
  background-repeat: no-repeat, no-repeat, no-repeat; */
  background-image: url("media/Stall background.jpg");
  background-position: center;

  background-size: cover;
}

.top-section-space { /* Gives space to nav bar while keeping the navbar an overlay */
  margin-top: 50px;
}

.section-content-wrap {
  display: flex;
  width: 100%;
  flex-wrap: wrap;
  justify-content: center;
  padding: 10px;
  padding-top: 1.5em;
}

.cheekyboy-header {
  display: inline-block;
  vertical-align: middle;
  padding: 1em;
  width: 90%;
}

.video-wrapper {
  width: 100%;
  padding: 0% 12% 8%;
}

.aspect-16x9 {
  aspect-ratio: 16/9;
}

.home-screen-video {
  width: 100%;
  height: 100%;
}

.spotify-iframe-wrapper {
  padding: 0% 12%;
  max-width: 100%;
  width: 100%;
  margin: 0;
}

.desktop-social-icon-row {
  padding: 0% 15% 0% 15%;
  width: 100%;
  display: flex;
  margin-right: auto;
  margin-left: auto;
  position: relative;
  margin-bottom: 20px;
  justify-content: center;
}

.desktop-social-icon-wrapper {
  width: 20%;
  text-align: center;
}

.social-media-icon {
  text-align: center;
  display: inline-block;
  font-size: 50px;
}

.social-media-icon img {
  width: 1em;
  height: 1em;
  position: relative;
  display: block;
}

/*###############################################*/
/*############### Biography page ################*/
/*###############################################*/

.biography-page-section-1 {
  background-image: url("media/Background - Biography desktop.jpg");
  background-position: bottom center;
  background-repeat: no-repeat;
  background-size: cover;
  aspect-ratio: 4/4; /* Sets a 'preferred' aspect ratio ie if the content is smaller then fit this aspect ratio at minimum, This is to make sure the background image works properly */
}

.biography-page-section-1 .background-overlay {
  background-color: #000000;
  opacity: 0.4;
  transition: background 0.3s, border-radius 0.3s, opacity 0.3s;
}

.biography-text-container {
  /* aspect-ratio: 3/4; */
  padding: 1em;
  max-width: 1100px;
  text-align: center;
  color: white;
  text-shadow: 0px 0px 23px rgba(0, 0, 0, 0.99);
}

.biography-text {
  padding-bottom: 3em;
}

.cheekyboy-keywords {
  color: crimson;
  opacity: 0.8;
}

/*###############################################*/
/*################# Photos page #################*/
/*###############################################*/

.photos-page-section-1 {
  background-image: url("media/Background - Lichens on street footpath.JPG");
  background-position: bottom center;
  background-repeat: no-repeat;
  background-size: cover;
}

.photos-row {
  display: flex;
  flex-wrap: wrap;
  padding: 1em 1em;
}

.columns-1 > * {
  flex: 100%;
  padding: 0 0.8em;
}
.columns-2 > * {
  flex: 50%;
  max-width: 50%;
  object-fit: cover;
  padding: 0 0.8em;
}
.columns-3 > * {
  flex: 33%;
  max-width: 33.33%;
  object-fit: cover;
  padding: 0 0.8em;
}

.photo-item-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  position: relative;
  filter: drop-shadow(0 0 0.5em rgb(0, 0, 0));
}

.photo-single {
  cursor: pointer;
}

.photo-item-container img {
  height: 100%;
  object-fit: cover;
}

.photo-item-container img:hover {
  cursor: pointer;
  transition: filter 0.5s;
  transition-timing-function: ease;
  filter: brightness(60%)
}

.photo-item-container p {
  position: absolute;
  text-align: center;
  padding: 1em;
	color: white;
}

.photos-textarea {
  text-align: center;
  padding: 1em;
  background-color: rgba(255,255,255,0.20);
  border-radius: 8px;
  text-shadow: 0px 0px 23px #000000;
}

.photos-textarea p,h3 {
  color: white;
}

.photos-page-grid-box {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  grid-column-gap: 1em;
  grid-row-gap: 1em;
  padding: 10px;
}

.photo-item1 {
  grid-column-start: 1;
  grid-column-end: 7;
}

.photo-item2 {
  grid-row-start: 2;
  grid-column-start: 1;
  grid-column-end: 3;
}

.photo-item3 {
  grid-row-start: 2;
  grid-column-start: 3;
  grid-column-end: 5;
}

.photo-item4 {
  grid-row-start: 2;
  grid-column-start: 5;
  grid-column-end: 7;
}

.photo-item5 {
  grid-row-start: 3;
  grid-column-start: 1;
  grid-column-end: 4;
}

.photo-item6 {
  grid-row-start: 3;
  grid-column-start: 4;
  grid-column-end: 7;
}

#photo-window {
  display: none;
  justify-content: center;
  position: fixed;
  height: 100vh;
  width: 100vw;
  z-index: 100;
  padding: 1.5em;
}

#close-photo-window-button {
  display: flex;
  position: absolute;
  justify-content: center;
  align-items: center;
  background: none;
  border: none;
  height: 4em;
  width: 4em;
  top: 0;
  left: 0;
  margin: 1em;
  z-index: 105;
  -webkit-transform:translate3d(0,0,0);
}

#close-photo-window-button-xpath {
  fill: var(--global-site-colour-1);
}

/* This element is changed by a javascript function in 'functions.js' */
#photo-window-container {
  display: flex;
  /* grid-template-columns: 65% 35%; */
  justify-content: center;
  width: 100%;
  /* z-index: 100; */
  /* margin: 1.5em; */
}

.hide-window-overlay {
  z-index: 101;
  position: absolute;
  width: 100%;
  height: 100%;
}

#photo-window-container * {
  z-index: 102;
}

#photo-window-textarea {
  display: grid;
  height: 100%;
  /* min-width: 35%; */
  background-color: black;
  border-left: 2px dashed;
  border-color: var(--global-site-colour-1);
  max-width: 35%;
  overflow-y: auto;
}

#photo-window-textarea-container {
  display: block;
  padding: 1.5em;
  color: white;
  text-align: center;
  align-self: center;
}

#photo-window-container img {
  align-self: center;
  /* justify-self: center; */
  max-height: 100%;
  min-width: 0;
}

.photo-item-text-contents {
  display: none;
}

#image-side-fix-mobile {
  display: block;
  grid-row: 1/2;
  grid-column: 1/2;
  background-color: black;
}

/*###############################################*/
/*############## Mental Help! page ##############*/
/*###############################################*/

.mentalhelp-page-section-1 {
  background-image: url("media/Background - Heart sign 2.jpg");
  background-position: bottom left;
  background-repeat: no-repeat;
  background-size: cover;
  aspect-ratio: 4/4; /* Sets a 'preferred' aspect ratio ie if the content is smaller then fit this aspect ratio at minimum, This is to make sure the background image works properly */
}

.mentalhelp-background-overlay {
  opacity: 0.3;
}

.mentalhelp-text-container {
  /* aspect-ratio: 3/4; */
  padding: 1em;
  max-width: 1100px;
  text-align: center;
  color: white;
  text-shadow: 0px 0px 23px rgba(0, 0, 0, 0.99);
}

.mentalhelp-text {
  padding-bottom: 3em;
}

/*###############################################*/
/*####### The Sneakiest Little Tiger page #######*/
/*###############################################*/

.TSLT-page-heading-container ul {
  display: flex;
  list-style-type: none;
  justify-content: center;
}

.TSLT-page-heading-container ul li {
  padding: 1em 1em;
}

.TSLT-page-heading-container ul li a {
  /* padding: 1em 1em; */
  text-decoration: none;
  color: white;
}

.TSLT-page-heading-container ul li a:hover {
  color: #AEAEAE;
}

.TSLT-page-section-1 {
  /* background-image: url("media/Non-Optimized/Background - Lichens on street footpath old 2.JPG");
  background-position: bottom center;
  background-repeat: no-repeat;
  background-size: cover; */
  background-color: #141415;
  font-size: 1.15rem;
}

.TSLT-page-container {
  max-width: 1100px;
}

.TSLT-banner-image {
  border-radius: 1.5em;
}

.banner-image-container {
  padding: 0 0.8em;
}

.page-section-title {
  text-align: center;
}

.TSLT-main-page-grid-box {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-column-gap: 1em;
  grid-row-gap: 1em;
  padding: 10px;
}

.TSLT-heading {
  font-family: "FunGroovy";
  letter-spacing: 0.1em;
  text-shadow: 0px 0px 20px #00000082;
}

.product-thumbnail-link {
  color: white;
  cursor: pointer;
  transition: color 0.1s linear;
  text-decoration: none;
}

.product-thumbnail-link:hover {
  color: #d0d0d0;
}

.product-thumbnail-info {
  padding-top: 5px;
  position: relative;
}

.product-thumbnail-image {
  border-radius: 1em;
}

.product-thumbnail-title {
  text-align: center;
  word-break: break-word;
  font-size: 1.2rem;
  letter-spacing: 0.5px;
  position: relative;
}

.product-thumbnail-title-mainpage {
  text-align: center;
  word-break: break-word;
  font-size: 1.5rem;
  letter-spacing: 0.5px;
  position: relative;
}

.product-thumbnail-title::after {
  bottom: -8px;
  content: "";
  background-color: currentColor;
  height: 1px;
  left: 50%;
  opacity: 0.5;
  position: absolute;
  transform: translateX(-50%);
  width: 16px;
}

::after {
  box-sizing: border-box;
}

.product-thumbnail-price {
  text-align: center;
  font-size: 1.1rem;
  margin-top: 0.7em;
}

/*####### The Sneakiest Little Tiger product page #######*/

.page-content-container {
  background-color: rgb(33, 33, 33);
  padding: 1.2em;
  display: grid;
  justify-content: center;
  border-radius: 1.5em;
}

.TSLT-product-page-images-grid-box {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-column-gap: 1em;
  grid-row-gap: 1em;
  padding: 10px;
  align-items: center;
}

.product-page-heading {
  text-align: center;
  color: white;
  padding-top: 1em;
  padding-bottom: 1em;
}

.product-title {
  font-size: 2em;
  position: relative;
}

/* .product-title::after {
  bottom: 50px;
  content: "";
  background-color: white;
  height: 2px;
  left: 50%;
  position: absolute;
  transform: translateX(-50%);
  width: 24px;
} */

.product-price {
  font-size: 1.2em;
}

.sizing-guide-link {
  padding-top: 1em;
  display: block;
  text-align: center;
  text-decoration: none;
  font-size: 1.08em;
  color: var(--global-site-colour-1);
  transition: color 0.2s linear;
}

.sizing-guide-link:hover {
  color: white;
}

.product-description {
  color: white;
  /* font-size: 1.1em; */
}

.product-description p {
  color: white;
  margin: 1em;
}

select {
  cursor: pointer;
  -webkit-appearance: none;
  appearance: none;
  background: none;
  border: none;
  color: white;
  font: inherit;
}

.select {
  height: 56px;
  margin-bottom: 16px;
  max-width: 100%;
  padding: 0;
  position: relative;
  width: 100%;
  cursor: pointer;
}

.select select {
  border: 2px solid #F8F8F8;
  border-radius: 4px;
  height: 100%;
  padding: 0 48px 0 16px;
  position: relative;
  width: 100%;
  z-index: 2;
}

.select select option:disabled {
  background-color: #FFFFFF;
  color: graytext;
}

.select select option {
  background-color: #FFFFFF;
  color: #000;
}

.product-page .reset-selection-button-container {
  text-align: center;
  width: 100%;
}

.product-page button.reset-selection-button {
  display: none;
  height: auto;
  max-width: 100%;
  margin: 20px auto 0;
  padding: 4px;
  width: auto;
  font-size: 14px;
}

button.button.minimal-button, a.button.minimal-button {
  background: none;
  color: #F8F8F8;
  border: none;
  font-size: 14px;
}

.select svg {
  fill: #F8F8F8;
  height: 8px;
  position: absolute;
  right: 16px;
  top: 50%;
  width: 13px;
  z-index: 1;
  transform: translateY(-50%);
}

button {
-webkit-appearance: none;
  appearance: none;
  background: none;
  border: none;
  border-radius: 4px;
  color: #F8F8F8;
  padding: 0;
}

button.button, a.button {
  transition: color, background-color 0.1s linear;
  background: #F8F8F8;
  color: #141415;
  display: block;
  font-size: 16px;
  height: 56px;
  max-width: 100%;
  padding: 0 16px;
  text-align: center;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  width: 100%;
}

.div-button {
  transition: color, background-color 0.1s linear;
  background: #F8F8F8;
  color: #141415;
  font-size: 16px;
  height: 56px;
  max-width: 100%;
  padding: 0 16px;
  text-align: center;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.div-button:hover {
  background-color: #AEAEAE;
}

.product-image {
  border-radius: 1em;
}

.product-image-container-smaller {
  margin: 1.2em;
}

.product-page-grid {
  width: 100%;
  display: grid;
  grid-template-columns: minmax(210px, 370px) minmax(240px, 700px);
  grid-column-gap: 1em;
  padding-top: 10px;
  padding-bottom: 10px;
}

.product-information {
  display: flex;
  align-items: center;
}

.product-columns {
  display: flex;
}

.product-column {
  padding: 1em;
}

.product-column-left {
  min-width: 210px;
  max-width: 370px;
}

.product-column-right {
  min-width: 240px;
  max-width: 700px;
}

.product-page-heading-mobile {
  display: none;
}

.purchase-info-component {
  margin: 1em;
}

.purchase-info-component p {
  margin-bottom: 1em;
}

.purchase-information-mobile {
  display: none;
}

/*####### The Sneakiest Little Tiger about,size guide page #######*/

.about-page-content {
  text-align: center;
  color: #F8F8F8;
  max-width: 750px;
}

.size-guide-page-content {
  color: #F8F8F8;
  max-width: 750px;
}

.size-guide-image {
  max-width: 400px;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.about-page-content a {
  color: #F8F8F8;
}

.returns-page-content {
  color: #F8F8F8;
  max-width: 750px;
}

.returns-page ol {
  margin: 1em;
}

.purchase-information {
  color: white;
  margin: auto;
}

.sticker-table {
  text-align: center;
  color: white;
  border: 1px solid white;
  border-collapse: collapse;
  /* table-layout: fixed; */
  width: 100%;
  margin: auto;
}

.sticker-table td, .sticker-table th {
  border: 1px solid white;
  width: 1%;
}

.sticker-table-container {
  color: white;
  min-width: 210px;
  max-width: 550px;
  overflow: scroll;
}

/*###############################################*/
/*################  Media Queries ###############*/
/*###############################################*/
/* Media Queries (At end of file so they override defaults), Also they must be in order ie 9XXpx before 5XXpx */

@media (min-width:2000px) {
  header {
    max-width: 2000px;
    margin: auto;
  }
  main {
    max-width: 2000px;
    margin: auto;
  }
  footer {
    max-width: 2000px;
    margin: auto;
  }
}

@media (max-width:1024px) {
  .video-wrapper {
    padding: 0% 11% 5% 11%;
  }
}

@media (max-width:921px) {
  html {
    font-size: 91.2%;
  }
  .global-grid-row {
    grid-template-columns: 1fr;
    grid-template-columns: auto auto;
    align-items: center;
    overflow-wrap: anywhere;
  }
  .site-navigation-mobile {
    display: block;
  }
  .site-navigation-desktop {
    display: none;
  }
  .cheekyboy-logo img {
    max-width: 60px;
  }
  .custom-logo:hover {
    transform: none;
  }
  .footer-primary {
    padding-top: 50px 20px 30px;
    margin: 0px;
  }
  .footer-primary .footer-section {
    display: block;
    margin-bottom: 10px;
  }
  .global-grid-row-tablet-full .global-grid-row {
    grid-template-columns: 1fr;
  }
  .footer-row-tablet-stack .footer-section {
    display: block;
    margin-bottom: 10px;
  }
  .cheekyboy-tag {
    display: block;
    margin: 30px 0px 29px;
  }
  .copyright-text {
    text-align: center;
    margin: 0px;
  }
  #photo-window-container {
    display: grid;
    grid-template-columns: auto;
    /* flex-direction: column; */
    grid-template-rows: auto auto;
  }
  #photo-window-container img {
    grid-row: 1/2;
    grid-column: 1/2;
    justify-self: center;
  }
  #photo-window-textarea {
    border-left: none;
    border-top: 2px dashed;
    border-color: var(--global-site-colour-1);
    max-width: initial;
    grid-row: 2/3;
    grid-column: 1/2;
  }
  #photo-window-textarea-container {
    align-self: auto;
  }
  .TSLT-banner-image {
    max-width: 100%;
  }
}

@media (max-width:768px) {
  .video-wrapper {
    padding: 0.8em;
  }
  .spotify-iframe-wrapper {
    padding: 0% 5% 0% 5%;
  }
  .desktop-social-icon-row {
    padding: 0% 0%;
  }
  .footer-above-grid-columns {
    grid-column-gap: 0px;
  }
  .page-heading {
    font-size: 3.7em; /* 54px */
  }
  .biography-page-section-1 {
    background-image: url("media/Background - Biography mobile.jpg");
  }
  .photos-page-grid-box {
    display: block;
  }
  .photos-page-grid-box > * {
    padding: 1em;
  }
  .photo-item-container img {
    height: auto;
  }
  .TSLT-main-page-grid-box {
    grid-template-columns: repeat(2, 1fr);
    grid-column-gap: 0.7em;
    grid-row-gap: 1em;
    padding: 6px;
  }
  .product-page {
    padding: 0.7em;
  }
  .product-page-grid {
    grid-template-columns: auto;
  }
  .TSLT-product-page-images-grid-box {
    grid-template-columns: repeat(2, 1fr);
  }
  .product-page-heading {
    order: -1;
  }
  .product-image-main {
    order: 0;
  }
  .product-page-details, .product-form, .product-description {
    order: 1;
  }
  .product-information {
    flex-direction: column;
  }
  .product-column-left {
    order: 1;
  }
  .product-column-right {
    max-width: 370px;
  }
  .product-columns {
    flex-direction: column;
    align-items: center;
  }
  .product-page-heading-mobile {
    max-width: 370px;
    display: block;
  }
  .product-page-heading-desktop {
    display: none;
  }
  .TSLT-page-heading-container ul {
    flex-direction: column;
  }
  .purchase-information-mobile {
    display: block;
    max-width: 370px;
    min-width: 240px;
  }
  .purchase-information-desktop {
    display: none;
  }
  .product-column {
    padding: 1em 0;
  }
}

@media (max-width:544px) {
  .global-grid-row {
  grid-template-columns: 1fr;
  }
  .cheekyboy-logo img {
    max-width: 50px;
  }
  .footer-primary {
    padding: 35px 0px;
  }
  .footer-email-subscribe-wrap p {
    text-align: center;
  }
  .footer-email-subscription-bar {
    text-align: center;
  }
  .desktop-social-icon-row {
    display: none;
  }
  .TSLT-main-page-grid-box {
    grid-template-columns: repeat(1, 1fr);
    padding: 10px;
  }
  .product-thumbnail-info {
    padding-top: 12px;
  }
  .TSLT-product-page-images-grid-box {
    grid-template-columns: repeat(1, 1fr);
  }
  .size-guide-image {
    max-width: 100%;
  }
}

/* ASPECT RATIOS */
@media (min-aspect-ratio: 11/10) {
  .page-container {
    /* padding: 0 8%; */
    max-width: 1200px;
    margin: auto;
  }
}

@media (max-aspect-ratio: 11/10) {
  .home-page-section-3 {
    background-image: url("media/Me in shirt against wall-min.jpg");
  }
}
